This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458686 - Review Request: bluez - Bluetooth libraries and utilities
Review Request: bluez - Bluetooth libraries and utilities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 11:51 EDT by Bastien Nocera
Modified: 2008-09-24 04:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 04:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwmw2: fedora‑review+
katzj: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-08-11 11:51:04 EDT
Spec URL: http://people.redhat.com/bnocera/bluez/bluez.spec
SRPM URL: http://people.redhat.com/bnocera/bluez/bluez-4.1-1.fc9.src.rpm
Description:
Libraries and utilities for use in Bluetooth applications.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

This replaces bluez-libs and bluez-utils as currently available in rawhide. This package will go in at the first opportunity for Fedora 11.
Comment 1 Bastien Nocera 2008-08-11 11:51:53 EDT
As Bill knows the stuff, and we're not in a hurry. Thanks Bill :)
Comment 2 Bastien Nocera 2008-08-11 12:19:01 EDT
Marcel mentions that hal-devel and dbus-glib-devel aren't needed anymore. I'll remove those on the next build.
Comment 3 Marcel Holtmann 2008-08-11 12:30:27 EDT
And the location of the source has changed. It should be:

Source: http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
Comment 4 Bill Nottingham 2008-08-20 20:03:56 EDT
Haha. If someone else wants to take it, go ahead. :)
Comment 5 Bastien Nocera 2008-09-08 20:25:31 EDT
Updated version at:
http://people.redhat.com/bnocera/bluez/bluez-4.4-1.fc9.src.rpm
http://people.redhat.com/bnocera/bluez/bluez.spec

Anyone to review this? I've changed my mind, and now that bluez-gnome is available, I'd like to get this in F10.
Comment 6 David Woodhouse 2008-09-09 16:51:56 EDT
   4:bluez-utils            ########################################### [ 57%]
service bluetooth does not support chkconfig
Comment 7 Bastien Nocera 2008-09-09 17:28:36 EDT
(In reply to comment #6)
>    4:bluez-utils            ########################################### [ 57%]
> service bluetooth does not support chkconfig

bug 448888
Comment 8 David Woodhouse 2008-09-10 02:37:01 EDT
http://david.woodhou.se/bluez-4.4-2.fc10.src.rpm
http://david.woodhou.se/bluez.spec

Removed the empty 'bluez' package. Fixed input device handling. Cut the rpmlint problems down to the following:

bluez.src:119: E: hardcoded-library-path in ${RPM_BUILD_ROOT}/usr/lib/cups/backend/bluetooth
bluez.src:178: E: hardcoded-library-path in /usr/lib/cups/backend/bluetooth
bluez-utils-cups.x86_64: E: only-non-binary-in-usr-lib

(This is unfortunately normal -- that's where cups backends live)

bluez-libs-devel.x86_64: W: obsolete-not-provided bluez-sdp-devel
bluez-utils.x86_64: W: obsolete-not-provided bluez-pan
bluez-utils.x86_64: W: obsolete-not-provided bluez-sdp

(Not sure of the implications of this. I think it's correct as-is)

bluez-utils.x86_64: W: conffile-without-noreplace-flag /etc/dbus-1/system.d/bluetooth.conf
bluez-utils.x86_64: E: missing-mandatory-lsb-keyword Provides in /etc/rc.d/init.d/bluetooth
bluez-utils.x86_64: E: no-chkconfig-line /etc/rc.d/init.d/bluetooth
bluez-utils.x86_64: W: incoherent-init-script-name bluetooth

(bug 448888, already a problem in rawhide and being worked on)

bluez-libs-devel.x86_64: W: no-documentation
bluez-utils-alsa.x86_64: W: no-documentation
bluez-utils-cups.x86_64: W: no-documentation
bluez-utils-gstreamer.x86_64: W: no-documentation

(it's in the bluez-libs package).

8 packages and 0 specfiles checked; 5 errors, 9 warnings.
Comment 9 David Woodhouse 2008-09-10 13:15:35 EDT
Approving. The initscript is broken rawhide anyway, although we do need to fix it ASAP (or move to starting bluetoothd from hal)
Comment 10 David Woodhouse 2008-09-10 13:19:07 EDT
New Package CVS Request
=======================
Package Name: bluez
Short Description: Bluetooth utilities
Owners: dwmw2 hadess
Branches: devel F-9
InitialCC: holtmann
Comment 11 Jeremy Katz 2008-09-10 21:55:01 EDT
Quick review since reviewer is a co-maintainer and made some fixes.

As for the obsoletes without provides -- it means that if anything required bluez-pan, etc they'll now be hosed.  Since I don't think that's the case, it's probably okay in this case.

So approved.  and CVS request done
Comment 12 Bastien Nocera 2008-09-24 04:46:55 EDT
Uploaded and built 2 weeks ago, closing.

Note You need to log in before you can comment on or make changes to this bug.